blob: f5e4db98535ac05f49af844068182d0b68d14035 [file] [log] [blame]
Elliott Hughesa0664b92017-04-18 17:46:52 -07001# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = { \
18 if test -z '$(MAKELEVEL)'; then \
19 false; \
20 elif test -n '$(MAKE_HOST)'; then \
21 true; \
22 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23 true; \
24 else \
25 false; \
26 fi; \
27}
28am__make_running_with_option = \
29 case $${target_option-} in \
30 ?) ;; \
31 *) echo "am__make_running_with_option: internal error: invalid" \
32 "target option '$${target_option-}' specified" >&2; \
33 exit 1;; \
34 esac; \
35 has_opt=no; \
36 sane_makeflags=$$MAKEFLAGS; \
37 if $(am__is_gnu_make); then \
38 sane_makeflags=$$MFLAGS; \
39 else \
40 case $$MAKEFLAGS in \
41 *\\[\ \ ]*) \
42 bs=\\; \
43 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
45 esac; \
46 fi; \
47 skip_next=no; \
48 strip_trailopt () \
49 { \
50 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51 }; \
52 for flg in $$sane_makeflags; do \
53 test $$skip_next = yes && { skip_next=no; continue; }; \
54 case $$flg in \
55 *=*|--*) continue;; \
56 -*I) strip_trailopt 'I'; skip_next=yes;; \
57 -*I?*) strip_trailopt 'I';; \
58 -*O) strip_trailopt 'O'; skip_next=yes;; \
59 -*O?*) strip_trailopt 'O';; \
60 -*l) strip_trailopt 'l'; skip_next=yes;; \
61 -*l?*) strip_trailopt 'l';; \
62 -[dEDm]) skip_next=yes;; \
63 -[JT]) skip_next=yes;; \
64 esac; \
65 case $$flg in \
66 *$$target_option*) has_opt=yes; break;; \
67 esac; \
68 done; \
69 test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/@PACKAGE@
73pkgincludedir = $(includedir)/@PACKAGE@
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88build_triplet = @build@
89host_triplet = @host@
90subdir = docs
91ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92am__aclocal_m4_deps = $(top_srcdir)/configure.ac
93am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
94 $(ACLOCAL_M4)
95DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
96mkinstalldirs = $(install_sh) -d
97CONFIG_HEADER = $(top_builddir)/config.h
98CONFIG_CLEAN_FILES =
99CONFIG_CLEAN_VPATH_FILES =
100AM_V_P = $(am__v_P_@AM_V@)
101am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
102am__v_P_0 = false
103am__v_P_1 = :
104AM_V_GEN = $(am__v_GEN_@AM_V@)
105am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
106am__v_GEN_0 = @echo " GEN " $@;
107am__v_GEN_1 =
108AM_V_at = $(am__v_at_@AM_V@)
109am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
110am__v_at_0 = @
111am__v_at_1 =
112SOURCES =
113DIST_SOURCES =
114am__can_run_installinfo = \
115 case $$AM_UPDATE_INFO_DIR in \
116 n|no|NO) false;; \
117 *) (install-info --version) >/dev/null 2>&1;; \
118 esac
119am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
120am__DIST_COMMON = $(srcdir)/Makefile.in README
121DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
122ACLOCAL = @ACLOCAL@
123AMTAR = @AMTAR@
124AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
125AR = @AR@
126AUTOCONF = @AUTOCONF@
127AUTOHEADER = @AUTOHEADER@
128AUTOMAKE = @AUTOMAKE@
129AWK = @AWK@
130BOOST_CFLAGS = @BOOST_CFLAGS@
131BOOST_LIBS = @BOOST_LIBS@
132CC = @CC@
133CCAS = @CCAS@
134CCASDEPMODE = @CCASDEPMODE@
135CCASFLAGS = @CCASFLAGS@
136CCDEPMODE = @CCDEPMODE@
137CFLAGS = @CFLAGS@
138CFLAGS_MPI = @CFLAGS_MPI@
139CPP = @CPP@
140CPPFLAGS = @CPPFLAGS@
141CXX = @CXX@
142CXXDEPMODE = @CXXDEPMODE@
143CXXFLAGS = @CXXFLAGS@
144CYGPATH_W = @CYGPATH_W@
145DEFAULT_SUPP = @DEFAULT_SUPP@
146DEFS = @DEFS@
147DEPDIR = @DEPDIR@
148DIFF = @DIFF@
149DIS_PATH = @DIS_PATH@
150ECHO_C = @ECHO_C@
151ECHO_N = @ECHO_N@
152ECHO_T = @ECHO_T@
153EGREP = @EGREP@
154EXEEXT = @EXEEXT@
155FLAG_FNO_IPA_ICF = @FLAG_FNO_IPA_ICF@
156FLAG_FNO_STACK_PROTECTOR = @FLAG_FNO_STACK_PROTECTOR@
157FLAG_FSANITIZE = @FLAG_FSANITIZE@
158FLAG_M32 = @FLAG_M32@
159FLAG_M64 = @FLAG_M64@
160FLAG_MIPS32 = @FLAG_MIPS32@
161FLAG_MIPS64 = @FLAG_MIPS64@
162FLAG_MLONG_DOUBLE_128 = @FLAG_MLONG_DOUBLE_128@
163FLAG_MMMX = @FLAG_MMMX@
164FLAG_MSSE = @FLAG_MSSE@
165FLAG_NO_BUILD_ID = @FLAG_NO_BUILD_ID@
166FLAG_OCTEON = @FLAG_OCTEON@
167FLAG_OCTEON2 = @FLAG_OCTEON2@
168FLAG_T_TEXT = @FLAG_T_TEXT@
169FLAG_UNLIMITED_INLINE_UNIT_GROWTH = @FLAG_UNLIMITED_INLINE_UNIT_GROWTH@
170FLAG_W_CAST_ALIGN = @FLAG_W_CAST_ALIGN@
171FLAG_W_CAST_QUAL = @FLAG_W_CAST_QUAL@
172FLAG_W_EMPTY_BODY = @FLAG_W_EMPTY_BODY@
173FLAG_W_EXTRA = @FLAG_W_EXTRA@
174FLAG_W_FORMAT = @FLAG_W_FORMAT@
175FLAG_W_FORMAT_SECURITY = @FLAG_W_FORMAT_SECURITY@
176FLAG_W_FORMAT_SIGNEDNESS = @FLAG_W_FORMAT_SIGNEDNESS@
177FLAG_W_IGNORED_QUALIFIERS = @FLAG_W_IGNORED_QUALIFIERS@
178FLAG_W_MISSING_PARAMETER_TYPE = @FLAG_W_MISSING_PARAMETER_TYPE@
179FLAG_W_NO_INFINITE_RECURSION = @FLAG_W_NO_INFINITE_RECURSION@
180FLAG_W_NO_MEMSET_TRANSPOSED_ARGS = @FLAG_W_NO_MEMSET_TRANSPOSED_ARGS@
181FLAG_W_NO_MISMATCHED_NEW_DELETE = @FLAG_W_NO_MISMATCHED_NEW_DELETE@
182FLAG_W_NO_NONNULL = @FLAG_W_NO_NONNULL@
183FLAG_W_NO_OVERFLOW = @FLAG_W_NO_OVERFLOW@
184FLAG_W_NO_POINTER_SIGN = @FLAG_W_NO_POINTER_SIGN@
185FLAG_W_NO_STATIC_LOCAL_IN_INLINE = @FLAG_W_NO_STATIC_LOCAL_IN_INLINE@
186FLAG_W_NO_UNINITIALIZED = @FLAG_W_NO_UNINITIALIZED@
187FLAG_W_NO_UNUSED_FUNCTION = @FLAG_W_NO_UNUSED_FUNCTION@
188FLAG_W_OLD_STYLE_DECLARATION = @FLAG_W_OLD_STYLE_DECLARATION@
189FLAG_W_WRITE_STRINGS = @FLAG_W_WRITE_STRINGS@
190GDB = @GDB@
191GLIBC_VERSION = @GLIBC_VERSION@
192GREP = @GREP@
193HWCAP_HAS_ALTIVEC = @HWCAP_HAS_ALTIVEC@
194HWCAP_HAS_DFP = @HWCAP_HAS_DFP@
195HWCAP_HAS_HTM = @HWCAP_HAS_HTM@
196HWCAP_HAS_ISA_2_05 = @HWCAP_HAS_ISA_2_05@
197HWCAP_HAS_ISA_2_06 = @HWCAP_HAS_ISA_2_06@
198HWCAP_HAS_ISA_2_07 = @HWCAP_HAS_ISA_2_07@
199HWCAP_HAS_ISA_3_00 = @HWCAP_HAS_ISA_3_00@
200HWCAP_HAS_VSX = @HWCAP_HAS_VSX@
201INSTALL = @INSTALL@
202INSTALL_DATA = @INSTALL_DATA@
203INSTALL_PROGRAM = @INSTALL_PROGRAM@
204INSTALL_SCRIPT = @INSTALL_SCRIPT@
205INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
206LDFLAGS = @LDFLAGS@
207LDFLAGS_MPI = @LDFLAGS_MPI@
208LIBOBJS = @LIBOBJS@
209LIBS = @LIBS@
210LIB_UBSAN = @LIB_UBSAN@
211LN_S = @LN_S@
212LTLIBOBJS = @LTLIBOBJS@
213MAINT = @MAINT@
214MAKEINFO = @MAKEINFO@
215MKDIR_P = @MKDIR_P@
216MPI_CC = @MPI_CC@
217OBJEXT = @OBJEXT@
218PACKAGE = @PACKAGE@
219PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
220PACKAGE_NAME = @PACKAGE_NAME@
221PACKAGE_STRING = @PACKAGE_STRING@
222PACKAGE_TARNAME = @PACKAGE_TARNAME@
223PACKAGE_URL = @PACKAGE_URL@
224PACKAGE_VERSION = @PACKAGE_VERSION@
225PATH_SEPARATOR = @PATH_SEPARATOR@
226PERL = @PERL@
227PREFERRED_STACK_BOUNDARY_2 = @PREFERRED_STACK_BOUNDARY_2@
228RANLIB = @RANLIB@
229SED = @SED@
230SET_MAKE = @SET_MAKE@
231SHELL = @SHELL@
232SOLARIS_UNDEF_LARGESOURCE = @SOLARIS_UNDEF_LARGESOURCE@
233STRIP = @STRIP@
234VALT_LOAD_ADDRESS_PRI = @VALT_LOAD_ADDRESS_PRI@
235VALT_LOAD_ADDRESS_SEC = @VALT_LOAD_ADDRESS_SEC@
236VERSION = @VERSION@
237VGCONF_ARCH_PRI = @VGCONF_ARCH_PRI@
238VGCONF_ARCH_SEC = @VGCONF_ARCH_SEC@
239VGCONF_OS = @VGCONF_OS@
240VGCONF_PLATFORM_PRI_CAPS = @VGCONF_PLATFORM_PRI_CAPS@
241VGCONF_PLATFORM_SEC_CAPS = @VGCONF_PLATFORM_SEC_CAPS@
242VGCONF_PLATVARIANT = @VGCONF_PLATVARIANT@
243VG_TMPDIR = @VG_TMPDIR@
244abs_builddir = @abs_builddir@
245abs_srcdir = @abs_srcdir@
246abs_top_builddir = @abs_top_builddir@
247abs_top_srcdir = @abs_top_srcdir@
248ac_ct_CC = @ac_ct_CC@
249ac_ct_CXX = @ac_ct_CXX@
250am__include = @am__include@
251am__leading_dot = @am__leading_dot@
252am__quote = @am__quote@
253am__tar = @am__tar@
254am__untar = @am__untar@
255bindir = @bindir@
256build = @build@
257build_alias = @build_alias@
258build_cpu = @build_cpu@
259build_os = @build_os@
260build_vendor = @build_vendor@
261builddir = @builddir@
262datadir = @datadir@
263datarootdir = @datarootdir@
264docdir = @docdir@
265dvidir = @dvidir@
266exec_prefix = @exec_prefix@
267host = @host@
268host_alias = @host_alias@
269host_cpu = @host_cpu@
270host_os = @host_os@
271host_vendor = @host_vendor@
272htmldir = @htmldir@
273includedir = @includedir@
274infodir = @infodir@
275install_sh = @install_sh@
276libdir = @libdir@
277libexecdir = @libexecdir@
278localedir = @localedir@
279localstatedir = @localstatedir@
280mandir = @mandir@
281mkdir_p = @mkdir_p@
282oldincludedir = @oldincludedir@
283pdfdir = @pdfdir@
284prefix = @prefix@
285program_transform_name = @program_transform_name@
286psdir = @psdir@
287sbindir = @sbindir@
288sharedstatedir = @sharedstatedir@
289srcdir = @srcdir@
290sysconfdir = @sysconfdir@
291target_alias = @target_alias@
292top_build_prefix = @top_build_prefix@
293top_builddir = @top_builddir@
294top_srcdir = @top_srcdir@
295
296# Comment out the next line to skip building print docs. The default
297# is not to skip building print docs. Note, after changing it
298# you need to re-run autogen.sh and configure to make it take effect.
299BUILD_ALL_DOCS = yes
300EXTRA_DIST = \
301 README \
302 images/home.png \
303 images/next.png \
304 images/prev.png \
305 images/up.png \
306 internals/3_0_BUGSTATUS.txt \
307 internals/3_1_BUGSTATUS.txt \
308 internals/3_2_BUGSTATUS.txt \
309 internals/3_3_BUGSTATUS.txt \
310 internals/3_4_BUGSTATUS.txt \
311 internals/3_5_BUGSTATUS.txt \
312 internals/3_7_BUGSTATUS.txt \
313 internals/3_8_BUGSTATUS.txt \
314 internals/3_9_BUGSTATUS.txt \
315 internals/3_10_BUGSTATUS.txt \
316 internals/3_11_BUGSTATUS.txt \
317 internals/MERGE_3_10_1.txt \
318 internals/arm_thumb_notes_gdbserver.txt \
319 internals/avx-notes.txt \
320 internals/BIG_APP_NOTES.txt \
321 internals/Darwin-notes.txt \
322 internals/SPEC-notes.txt \
323 internals/directory-structure.txt \
324 internals/howto_BUILD_KDE42.txt \
325 internals/howto_oprofile.txt \
326 internals/m_replacemalloc.txt \
327 internals/m_syswrap.txt \
328 internals/module-structure.txt \
329 internals/multiple-architectures.txt \
330 internals/notes.txt \
331 internals/performance.txt \
332 internals/porting-HOWTO.txt \
333 internals/mpi2entries.txt \
334 internals/porting-to-ARM.txt \
335 internals/qemu-aarch64-linux-HOWTO.txt \
336 internals/qemu-mips64-linux-HOWTO.txt \
337 internals/register-uses.txt \
338 internals/release-HOWTO.txt \
339 internals/segments-seginfos.txt \
340 internals/t-chaining-notes.txt \
341 internals/threads-syscalls-signals.txt \
342 internals/tm-mutexstates.dot \
343 internals/tm-threadstates.dot \
344 internals/tracking-fn-entry-exit.txt \
345 internals/why-no-libc.txt \
346 internals/xml-output.txt \
347 internals/xml-output-protocol4.txt \
348 lib/line-wrap.xsl \
349 lib/vg_basic.css \
350 lib/vg-fo.xsl \
351 lib/vg-faq2txt.xsl \
352 lib/vg-html-chunk.xsl \
353 lib/vg-html-website.xsl \
354 lib/vg-html-common.xsl \
355 xml/FAQ.xml \
356 xml/dist-docs.xml \
357 xml/index.xml \
358 xml/licenses.xml \
359 xml/manpages-index.xml \
360 xml/manual.xml \
361 xml/manual-intro.xml \
362 xml/manual-core.xml \
363 xml/manual-core-adv.xml \
364 xml/manual-writing-tools.xml \
365 xml/design-impl.xml \
366 xml/quick-start-guide.xml \
367 xml/tech-docs.xml \
368 xml/valgrind-manpage.xml \
369 xml/vg-entities.xml \
370 xml/xml_help.txt
371
372myxmldir = $(top_srcdir)/docs/xml
373myimgdir = $(top_srcdir)/docs/images
374mylibdir = $(top_srcdir)/docs/lib
375myhtmldir = $(top_builddir)/docs/html
376myprintdir = $(top_builddir)/docs/print
377websitedir = $(top_builddir)/docs/website
378valkyriedir = $(top_builddir)/docs/vg-html
379downloadsdir = $(top_builddir)/docs/downloads
380vgdir = $(top_builddir)/docs/valgrind
381XML_CATALOG_FILES = /etc/xml/catalog
382
383# file to log print output to
384LOGFILE = print.log
385
386# validation stuff
387XMLLINT = xmllint
388LINT_FLAGS = --noblanks --noout --xinclude --postvalid --noent
389# validate with docbook 4.3 'cos it supports xml:base natively
390VALID_FLAGS = --dtdvalid http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd
391XMLLINT_FLAGS = $(LINT_FLAGS) $(VALID_FLAGS)
392
393# stylesheet processor
394XSLTPROC = xsltproc
395XSLTPROC_FLAGS = --nonet --xinclude
396
397# stylesheets
398XSL_HTML_CHUNK_STYLE = $(mylibdir)/vg-html-chunk.xsl
399XSL_FO_STYLE = $(mylibdir)/vg-fo.xsl
400XSL_TEXT_STYLE = $(mylibdir)/vg-faq2txt.xsl
401XSL_WEBSITE_STYLE = $(mylibdir)/vg-html-website.xsl
402XSL_MAN_STYLES = \
403 /usr/share/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl \
404 /usr/share/xml/docbook/stylesheet/nwalsh/current/manpages/docbook.xsl \
405 /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl
406
407all: all-am
408
409.SUFFIXES:
410$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
411 @for dep in $?; do \
412 case '$(am__configure_deps)' in \
413 *$$dep*) \
414 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
415 && { if test -f $@; then exit 0; else break; fi; }; \
416 exit 1;; \
417 esac; \
418 done; \
419 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/Makefile'; \
420 $(am__cd) $(top_srcdir) && \
421 $(AUTOMAKE) --foreign docs/Makefile
422Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
423 @case '$?' in \
424 *config.status*) \
425 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
426 *) \
427 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
428 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
429 esac;
430
431$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
432 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
433
434$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
435 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
436$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
437 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
438$(am__aclocal_m4_deps):
439tags TAGS:
440
441ctags CTAGS:
442
443cscope cscopelist:
444
445
446distdir: $(DISTFILES)
447 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
448 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
449 list='$(DISTFILES)'; \
450 dist_files=`for file in $$list; do echo $$file; done | \
451 sed -e "s|^$$srcdirstrip/||;t" \
452 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
453 case $$dist_files in \
454 */*) $(MKDIR_P) `echo "$$dist_files" | \
455 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
456 sort -u` ;; \
457 esac; \
458 for file in $$dist_files; do \
459 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
460 if test -d $$d/$$file; then \
461 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
462 if test -d "$(distdir)/$$file"; then \
463 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
464 fi; \
465 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
466 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
467 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
468 fi; \
469 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
470 else \
471 test -f "$(distdir)/$$file" \
472 || cp -p $$d/$$file "$(distdir)/$$file" \
473 || exit 1; \
474 fi; \
475 done
476 $(MAKE) $(AM_MAKEFLAGS) \
477 top_distdir="$(top_distdir)" distdir="$(distdir)" \
478 dist-hook
479check-am: all-am
480check: check-am
481all-am: Makefile
482installdirs:
483install: install-am
484install-exec: install-exec-am
485install-data: install-data-am
486uninstall: uninstall-am
487
488install-am: all-am
489 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
490
491installcheck: installcheck-am
492install-strip:
493 if test -z '$(STRIP)'; then \
494 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
495 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
496 install; \
497 else \
498 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
499 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
500 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
501 fi
502mostlyclean-generic:
503
504clean-generic:
505
506distclean-generic:
507 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
508 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
509
510maintainer-clean-generic:
511 @echo "This command is intended for maintainers to use"
512 @echo "it deletes files that may require special tools to rebuild."
513clean: clean-am
514
515clean-am: clean-generic mostlyclean-am
516
517distclean: distclean-am
518 -rm -f Makefile
519distclean-am: clean-am distclean-generic distclean-local
520
521dvi: dvi-am
522
523dvi-am:
524
525html: html-am
526
527html-am:
528
529info: info-am
530
531info-am:
532
533install-data-am:
534 @$(NORMAL_INSTALL)
535 $(MAKE) $(AM_MAKEFLAGS) install-data-hook
536install-dvi: install-dvi-am
537
538install-dvi-am:
539
540install-exec-am:
541
542install-html: install-html-am
543
544install-html-am:
545
546install-info: install-info-am
547
548install-info-am:
549
550install-man:
551
552install-pdf: install-pdf-am
553
554install-pdf-am:
555
556install-ps: install-ps-am
557
558install-ps-am:
559
560installcheck-am:
561
562maintainer-clean: maintainer-clean-am
563 -rm -f Makefile
564maintainer-clean-am: distclean-am maintainer-clean-generic
565
566mostlyclean: mostlyclean-am
567
568mostlyclean-am: mostlyclean-generic
569
570pdf: pdf-am
571
572pdf-am:
573
574ps: ps-am
575
576ps-am:
577
578uninstall-am:
579
580.MAKE: install-am install-data-am install-strip
581
582.PHONY: all all-am check check-am clean clean-generic cscopelist-am \
583 ctags-am dist-hook distclean distclean-generic distclean-local \
584 distdir dvi dvi-am html html-am info info-am install \
585 install-am install-data install-data-am install-data-hook \
586 install-dvi install-dvi-am install-exec install-exec-am \
587 install-html install-html-am install-info install-info-am \
588 install-man install-pdf install-pdf-am install-ps \
589 install-ps-am install-strip installcheck installcheck-am \
590 installdirs maintainer-clean maintainer-clean-generic \
591 mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags-am \
592 uninstall uninstall-am
593
594.PRECIOUS: Makefile
595
596
597all-docs: FAQ.txt man-pages html-docs print-docs
598
599valid:
600 $(XMLLINT) $(XMLLINT_FLAGS) $(myxmldir)/index.xml
601
602# The text version of the FAQ.
603FAQ.txt:
604 @echo "Generating the text version of the FAQ ..."
605 export XML_CATALOG_FILES=$(XML_CATALOG_FILES) && \
606 $(XSLTPROC) $(XSLTPROC_FLAGS) -o ./FAQ.txt $(XSL_TEXT_STYLE) $(myxmldir)/FAQ.xml
607
608# the valgrind manpages
609man-pages:
610 set -e; \
611 for x in $(XSL_MAN_STYLES) ; do \
612 if test -f $$x; then \
613 echo "Using manpage stylesheet: $$x"; \
614 export XML_CATALOG_FILES=$(XML_CATALOG_FILES) && \
615 $(XSLTPROC) $(XSLTPROC_FLAGS) -o ./ $$x $(myxmldir)/manpages-index.xml; \
616 exit 0; \
617 fi; \
618 done; \
619 echo ""; \
620 echo "Error: I can't find the XSL_MAN_STYLE file"; \
621 echo "Please check where it lives on your system, and" \
622 "amend the line 'XSL_MAN_STYLES = ' in this Makefile."; \
623 exit 1;
624
625# chunked html, on a chapter-by-chapter basis
626html-docs:
627 @echo "Generating html files..."
628 export XML_CATALOG_FILES=$(XML_CATALOG_FILES) && \
629 mkdir -p $(myhtmldir) && \
630 /bin/rm -fr $(myhtmldir)/ && \
631 mkdir -p $(myhtmldir)/ && \
632 mkdir -p $(myhtmldir)/images && \
633 cp $(mylibdir)/vg_basic.css $(myhtmldir)/ && \
634 cp $(myimgdir)/*.png $(myhtmldir)/images && \
635 $(XSLTPROC) $(XSLTPROC_FLAGS) -o $(myhtmldir)/ $(XSL_HTML_CHUNK_STYLE) $(myxmldir)/index.xml
636
637# pdf and postscript
638print-docs:
639 @echo "Generating PDF file: $(myprintdir)/index.pdf (please be patient)...";
640 export XML_CATALOG_FILES=$(XML_CATALOG_FILES) && \
641 mkdir -p $(myprintdir) && \
642 mkdir -p $(myprintdir)/images && \
643 $(XSLTPROC) $(XSLTPROC_FLAGS) -o $(myprintdir)/index.fo $(XSL_FO_STYLE) $(myxmldir)/index.xml && \
644 (cd $(myprintdir) && \
645 ( pdfxmltex index.fo && \
646 pdfxmltex index.fo && \
647 pdfxmltex index.fo ) &> $(LOGFILE) < /dev/null && \
648 echo "Generating PS file: $(myprintdir)/index.ps ..." && \
649 pdftops index.pdf && \
650 rm -f *.log *.aux *.fo *.out)
651
652# If the docs have been built, install them. But don't worry if they have
653# not -- developers do 'make install' not from a 'make dist'-ified distro all
654# the time.
655#
656# Note: this is done at 'make install' time.
657# Note 2: the ifeq/else/endif have to be indented one space
658# because otherwise it seems that automake thinks it should
659# be the one to handle the else/endif parts, not GNU make
660# as we intend.
661install-data-hook:
662 set -e; \
663 if test -r html ; then \
664 mkdir -p $(DESTDIR)$(datadir)/doc/valgrind; \
665 cp -r html $(DESTDIR)$(datadir)/doc/valgrind; \
666 fi
667 for f in *.1 ; do \
668 if test -r $$f ; then \
669 mkdir -p $(DESTDIR)$(mandir)/man1; \
670 cp $$f $(DESTDIR)$(mandir)/man1; \
671 fi \
672 done
673 ifeq ($(BUILD_ALL_DOCS),yes)
674 set -e; \
675 if test -r index.pdf ; then \
676 mkdir -p $(DESTDIR)$(datadir)/doc/valgrind; \
677 cp index.pdf $(DESTDIR)$(datadir)/doc/valgrind/valgrind_manual.pdf; \
678 fi
679 set -e; \
680 if test -r index.ps ; then \
681 mkdir -p $(DESTDIR)$(datadir)/doc/valgrind; \
682 cp index.ps $(DESTDIR)$(datadir)/doc/valgrind/valgrind_manual.ps; \
683 fi
684 endif
685
686# This is done at 'make dist' time. It builds the html docs, print
687# docs and man pages and copies them into the docs/ directory in the
688# tarball.
689 ifeq ($(BUILD_ALL_DOCS),yes)
690dist-hook: FAQ.txt html-docs man-pages print-docs
691 cp -r html $(distdir)
692 cp FAQ.txt $(distdir)/..
693 cp *.1 $(distdir)
694 cp print/index.pdf $(distdir)
695 cp print/index.ps $(distdir)
696 else
697dist-hook: FAQ.txt html-docs man-pages
698 cp -r html $(distdir)
699 cp FAQ.txt $(distdir)/..
700 cp *.1 $(distdir)
701 endif
702
703distclean-local:
704 rm -rf html print
705 rm -f FAQ.txt
706 rm -f $(top_builddir)/FAQ.txt $(top_builddir)/docs/*.1
707
708# -----------------------------------------------------------------------
709# Note: the rest of this file is nothing to do with the normal build
710# tree. The stuff below contains special targets for web-site
711# artefacts.
712
713# chunked html with no html/body tags, css, or top nav, to fit into the website
714website-docs:
715 @echo "Generating website html files ..."
716 export XML_CATALOG_FILES=$(XML_CATALOG_FILES)
717 /bin/rm -fr $(websitedir)
718 mkdir -p $(websitedir)
719 $(XSLTPROC) $(XSLTPROC_FLAGS) -o $(websitedir)/ $(XSL_WEBSITE_STYLE) $(myxmldir)/index.xml
720
721# valkyrie carries around her own copy of the valgrind manual
722valkyrie-docs:
723 @echo "Generating a set of valgrind docs for valkyrie..."
724 export XML_CATALOG_FILES=$(XML_CATALOG_FILES)
725 /bin/rm -fr $(valkyriedir)
726 mkdir -p $(valkyriedir)
727 mkdir -p $(valkyriedir)/images
728 cp $(mylibdir)/vg_basic.css $(valkyriedir)/
729 cp $(myimgdir)/*.png $(valkyriedir)/images/
730 $(XSLTPROC) $(XSLTPROC_FLAGS) -o $(valkyriedir)/ $(XSL_HTML_CHUNK_STYLE) $(myxmldir)/index.xml
731
732# html.tar.bz2, .pdf, .ps.bz2 files for downloading from the website
733download-docs:
734 export XML_CATALOG_FILES=$(XML_CATALOG_FILES)
735 /bin/rm -fr $(downloadsdir)
736 mkdir -p $(downloadsdir)
737 @echo ""
738 @echo "Generating valgrind_manual.html.tar.bz2 ..."
739 export XML_CATALOG_FILES=$(XML_CATALOG_FILES)
740 /bin/rm -fr $(vgdir)
741 mkdir -p $(vgdir)
742 mkdir -p $(vgdir)/html
743 mkdir -p $(vgdir)/html/images
744 cp $(mylibdir)/vg_basic.css $(vgdir)/html/
745 cp $(myimgdir)/*.png $(vgdir)/html/images/
746 $(XSLTPROC) $(XSLTPROC_FLAGS) -o $(vgdir)/html/ $(XSL_HTML_CHUNK_STYLE) $(myxmldir)/index.xml
747 (cd $(top_builddir)/docs/ && \
748 (tar cfj $(downloadsdir)/valgrind_manual.html.tar.bz2 ./valgrind/html/ ) )
749 /bin/rm -fr $(vgdir)/html/
750 @echo ""
751 @echo "Generating valgrind_manual.pdf ..."
752 mkdir -p $(vgdir)/print
753 mkdir -p $(vgdir)/print/images
754 $(XSLTPROC) $(XSLTPROC_FLAGS) -o $(vgdir)/print/manual.fo $(XSL_FO_STYLE) $(myxmldir)/index.xml
755 (cd $(vgdir)/print/ && \
756 ( pdfxmltex manual.fo && \
757 pdfxmltex manual.fo && \
758 pdfxmltex manual.fo ) &> $(LOGFILE) < /dev/null )
759 @echo ""
760 @echo "Generating valgrind_manual.ps.bz2 ..."
761 (cd $(vgdir)/print/ && \
762 ( pdftops manual.pdf ) )
763 mv $(vgdir)/print/manual.pdf $(downloadsdir)/valgrind_manual.pdf
764 mv $(vgdir)/print/manual.ps $(downloadsdir)/valgrind_manual.ps
765 bzip2 $(downloadsdir)/valgrind_manual.ps
766 /bin/rm -fr $(vgdir)
767
768# Tell versions [3.59,3.63) of GNU make to not export all variables.
769# Otherwise a system limit (for SysV at least) may be exceeded.
770.NOEXPORT: